Bug 187190 - Reject getUserMedia promise if capture fails
Summary: Reject getUserMedia promise if capture fails
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-06-29 12:17 PDT by youenn fablet
Modified: 2018-07-02 10:31 PDT (History)
6 users (show)

See Also:


Attachments
Patch (8.15 KB, patch)
2018-06-29 12:39 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-sierra-wk2 (3.23 MB, application/zip)
2018-06-29 14:19 PDT, Build Bot
no flags Details
Patch for landing (7.62 KB, patch)
2018-06-29 15:12 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (7.83 KB, patch)
2018-07-01 17:25 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing - moving capture failed issue first (7.83 KB, patch)
2018-07-02 10:01 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2018-06-29 12:17:29 PDT
Reject getUserMedia promise if capture fails.
This might be the case when video capture fails.
Currently we do not resolve the promise.
Comment 1 youenn fablet 2018-06-29 12:39:52 PDT
Created attachment 343932 [details]
Patch
Comment 2 Build Bot 2018-06-29 14:19:53 PDT
Comment on attachment 343932 [details]
Patch

Attachment 343932 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/8386926

New failing tests:
fast/mediastream/get-user-media-device-id.html
webrtc/video-mediastreamtrack-stats.html
http/tests/media/media-stream/get-user-media-prompt.html
Comment 3 Build Bot 2018-06-29 14:19:55 PDT
Created attachment 343943 [details]
Archive of layout-test-results from ews106 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 4 youenn fablet 2018-06-29 15:11:43 PDT
We need to keep the media stream alive for one runloop when iterating over its private observers
Comment 5 youenn fablet 2018-06-29 15:12:58 PDT
Created attachment 343950 [details]
Patch for landing
Comment 6 youenn fablet 2018-07-01 17:25:01 PDT
Created attachment 344066 [details]
Patch for landing
Comment 7 youenn fablet 2018-07-02 10:01:40 PDT
Created attachment 344110 [details]
Patch for landing - moving capture failed issue first
Comment 8 WebKit Commit Bot 2018-07-02 10:29:11 PDT
Comment on attachment 344110 [details]
Patch for landing - moving capture failed issue first

Clearing flags on attachment: 344110

Committed r233425: <https://trac.webkit.org/changeset/233425>
Comment 9 WebKit Commit Bot 2018-07-02 10:29:12 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Radar WebKit Bug Importer 2018-07-02 10:31:56 PDT
<rdar://problem/41728667>